Name: powertop
Summary: Linux power monitor
Version: 1.8
Release: 1
License: GNU General Public License (GPL), GNU Library General Public License v. 2.0
Group: System/Monitoring
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: Anna Langley <anna@annalangley.eu>
Distribution: SUSE
Prefix: /usr
Url: http://www.linuxpowertop.org
Provides: powertop



%description
PowerTOP is a Linux tool that finds the software component(s) that
make your laptop use more power than necessary while it is idle. As of
Linux kernel version 2.6.21, the kernel no longer has a fixed 1000Hz
timer tick. This will (in theory) give a huge power savings because
the CPU stays in low power mode for longer periods of time during
system idle.

However... there are many things that can ruin the party, both inside
the kernel and in userspace. PowerTOP combines various sources of
information from the kernel into one convenient screen so that you can
see how well your system is doing, and which components are the
biggest problem.


%prep
rm -rf $RPM_BUILD_ROOT 
mkdir $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
make -j 2

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR

%files
/usr/share/man/man1/powertop.1.gz
/usr/bin/powertop
/usr/share/locale/de/LC_MESSAGES/
/usr/share/locale/es/LC_MESSAGES/powertop.mo
/usr/share/locale/fi/LC_MESSAGES/powertop.mo
/usr/share/locale/fr/LC_MESSAGES/powertop.mo
/usr/share/locale/hu/LC_MESSAGES/powertop.mo
/usr/share/locale/id/LC_MESSAGES/powertop.mo
/usr/share/locale/it/LC_MESSAGES/powertop.mo
/usr/share/locale/ja/LC_MESSAGES/powertop.mo
/usr/share/locale/nl/LC_MESSAGES/powertop.mo
/usr/share/locale/pl/LC_MESSAGES/powertop.mo
/usr/share/locale/pt_BR/LC_MESSAGES/powertop.mo
/usr/share/locale/ru/LC_MESSAGES/powertop.mo
/usr/share/locale/zh/LC_MESSAGES/powertop.mo

%defattr(-,root,root,0755)
